<?php
/**
*
* @author Daniel CHALSECHE (Dakin Quelia) dakinquelia@hotmail.com
* @package phpBB3
* @version $Id: functions_docs.php, v0.0.1 2009/12/10 17:51:45 Dakin Quelia Exp $
* @copyright (c) 2008 http://www.danielchalseche.be
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
define('IN_SITE', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './communaute/';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/functions_display.' . $phpEx);
include($phpbb_root_path . 'includes/mods/news/functions_news.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup();

$id			= request_var('id', 0);
$new		= request_var('id', 0);
$start		= request_var('start', 0);

$news		= new news($id);
	
$title		= $user->lang['new'];

page_header($title, false);

if ($id) 
{
	if ($new)
	{
		$news->view_new($new);
	}
	else 
	{	
		$news->display_news();
	}
}
else
{
	$news->display_news();
}

page_footer(false);

?>